.header-top-menu {
    display: none;
}

.mobilemenu-container {
    display: flex;
}

.mobilemenu-button {
    display: inline-block;
    margin: -.5em;
    padding: .5em;
    z-index: 99999;
}

.mobilemenu-burger {
    width: 20px;
    height: 2px;
    margin: 4px 0;
    background-color: rgb(255, 255, 255);
    transform-origin: left center;
    transition: .4s;
}

.header.solid .mobilemenu-burger {
    background-color: rgb(0, 0, 0);
}

.mobilemenu-button.open .mobilemenu-burger {
    width: 17px;
    background-color: rgb(233, 78, 27);
}

.mobilemenu-burger--top {
}

.mobilemenu-burger--mid {
}

.mobilemenu-burger--bottom {
}

.mobilemenu-button.open .mobilemenu-burger--top {
    transform: rotate(45deg);
}

.mobilemenu-button.open .mobilemenu-burger--mid {
    opacity: 0;
}

.mobilemenu-button.open .mobilemenu-burger--bottom {
    transform: rotate(-45deg);
}

.mainmenu-container {
    background-color: rgb(255, 255, 255);
    height: 100%;
    left: -80%;
    margin: 0;
    padding: 0 20px;
    position: fixed;
    top: 0;
    transition: left .4s;
    width: 80%;
    z-index: 8888;
    box-sizing: border-box;
}

.mobilemenu-button.open + .mainmenu-container {
    box-shadow: 0 0 10px rgba(0, 0, 0, .5);
    left: 0;
}

.mainmenu-scroller {
    overflow-x: hidden;
    overflow-y: auto;
    height: 100%;
}

.mainmenu {
    color: rgb(0, 0, 0);
    font-weight: bold;
    list-style: none;
    margin: 0 0 1em;
    padding: 0;
    text-transform: uppercase;
}

.mainmenu__item {
    position: relative;
}

.mainmenu__link {
    border-width: 0;
    border-style: solid;
    border-color: rgba(0, 0, 0, .1);
    border-bottom-width: 1px;
    color: inherit;
    display: block;
    padding: .5em;
}

.mainmenu__item:first-of-type .mainmenu__link {
    border-top-width: 1px;
}

.mainmenu__sub-button {
    height: 3em;
    position: absolute;
    right: 0;
    top: 1.5em;
    transform: translateY(-50%);
    transition: transform .2s;
    width: 49px;
    line-height: 40px !important;
    text-align: center;
}

.mainmenu__item.open > .mainmenu__sub-button {
    transform: translateY(-50%) scaleY(-1);
}

.mainmenu-sub__item {
    height: 0;
    overflow: hidden;
    transition: .4s;
}

.mainmenu__item.open > .mainmenu-sub .mainmenu-sub__item {
    height: auto;
}

.mainmenu-sub__link {
    border-bottom: 1px solid rgba(0, 0, 0, .1);
    color: inherit;
    display: block;
    padding: .5em;
}

.mainmenu-sub__link span {
    color: rgb(233, 78, 27);
}

.mobilemenu-closer {
    background-color: rgba(0, 0, 0, 0.5);
    height: 100%;
    left: 100%;
    opacity: 0;
    position: absolute;
    pointer-events: none;
    top: 0;
    transition: .4s;
    width: 200%;
}

.mobilemenu-button.open + .mainmenu-container .mobilemenu-closer {
    opacity: 1;
    pointer-events: auto;
}

@media only screen and (min-width: 1025px)
{
    .header-top-menu {
        display: block;
        float: right;
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .header-top-menu__item {
        position: relative;
        margin-left: 3.5em;
        float: left;
    }

    .header-top-menu__link {
        display: inline-block;
        color: inherit;
    }

    .header-top-menu__link:only-child .header-top-submenu-icon {
        display: none;
    }

    .header-top-submenu {
        font-size: 125%;
        background-color: rgba(0, 0, 0, .8);
        right: 0;
        line-height: 1.5;
        opacity: 0;
        padding: .25em 0;
        pointer-events: none;
        position: absolute;
        top: 80%;
        transition: .4s;
        list-style: none;
        z-index: 9999;
    }

    .header-top-menu__item:hover .header-top-submenu {
        opacity: 1;
        pointer-events: auto;
        top: 100%;
    }

    .header-top-submenu__item {
    }

    .header-top-submenu__link {
        display: block;
        padding: .5em 1.25em;
        transition: .4s;
        white-space: nowrap;
        color: inherit;
    }

    .header-top-submenu__link:hover {
        padding-left: 1.5em;
        padding-right: 1em;
    }

    .mobilemenu-button {
        display: none;
    }

    .mainmenu-container {
        background-color: transparent;
        padding: 0;
        position: static;
        width: auto;
    }

    .mainmenu-scroller {
        display: flex;
        overflow: visible;
    }

    .mainmenu {
        color: inherit;
        margin: 0 -1.25em;
    }

    .mainmenu__item {
        float: left;
    }

    .mainmenu__link {
        border: none;
        padding: 0 1.25em;
        line-height: 40px;
        white-space: nowrap;
        transition: .2s;
    }

    .mainmenu__link:not(:only-child) {
        padding-right: calc(1.25em + 15px);
    }

    .mainmenu__sub-button {
        right: 1.25em;
        top: 1.5em;
        width: 10px;
        z-index: -1;
        transition: .2s;
    }

    .mainmenu__item:hover .mainmenu__link,
    .mainmenu__item:hover .mainmenu__sub-button {
        color: rgb(233, 78, 27);
    }

    .header.solid .mainmenu-sub,
    .header.solid .header-top-submenu {
        background-color: rgb(255, 255, 255);
        border: 1px solid rgb(240, 240, 240);
        border-top: none;
    }

    .mainmenu__item:hover {
        background-color: white;
        border-radius: 20px;
    }

    .mainmenu__item-has-submenu:hover {
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
    }

    .mainmenu-sub__item {
        height: auto;
    }

    .mainmenu-sub__link {
        border: none;
        padding: .5em 1.25em;
        transition: .2s;
        white-space: nowrap;
    }

    .mainmenu-sub__link:hover {
        padding-left: 1.5em;
        padding-right: 1em;
        color: rgb(233, 78, 27);
    }
}